package com.yihu.jw.entity.iot.message;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author suhaiwen  消息列表
 * @vsrsion 1.0
 * Created at 2020/5/7
 */
@Entity
@Table(name = "iot_message")
public class IotMessageDO extends UuidIdentityEntityWithOperator implements Serializable {

    @Column(name = "title")
    private String title;//消息标题
    @Column(name = "content")
    private String content;//消息内容
    @Column(name = "type")
    private Integer type;//消息类型 1：SIM卡续费通知 2：库存预警提醒 3：定期检修提醒 4：设备质检提醒',
    @Column(name = "read_msg")
    private Integer readMsg;//消息状态，1：已读  0：未读',
    @Column(name = "del")
    private Integer del;//删除标志  1：删除  0：不删除',
    @Column(name = "relation_code")
    private String relationCode;//业务关联id


    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getReadMsg() {
        return readMsg;
    }

    public void setReadMsg(Integer readMsg) {
        this.readMsg = readMsg;
    }

    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }

    public String getRelationCode() {
        return relationCode;
    }

    public void setRelationCode(String relationCode) {
        this.relationCode = relationCode;
    }
}
